mediathekview(1)

NAME
MediathekView - A media center video browser

SYNOPSIS
mediathekview [PATH TO CONFIGURATION] [OPTION...]

DESCRIPTION

This application searches for various media center video content of the German television program (ARD, ZDF, Arte, 3Sat, MDR, ORF, SRF and many more).
You can watch, download and even subscribe to an offered show.

OPTIONS

-auto
    automatically load the list of films, manage all subscriptions and close the application. This also works on computers without GUI (without X).

-fastauto
    like -auto but film descriptions will be omitted. This reduces memory consumption and improves the responsiveness of the application. This is especially useful for older hardware.

-DproxySet=(true|false)
    enable or disable a proxy server

-DproxyHost=
    specify a host address to connect to a proxy server

-DproxyPort=
    specify a port number to connect to a proxy server

-Dswing.defaultlaf=
    to use a different appearance (look and feel) of the graphical user interface if there isn't any option in the preferences specified by the user.
    An example may be: com.sun.java.swing.plaf.gtk.GTKLookAndFeel for the GTK-system-theme

-M
    maximize window at startup

All options that start with a -D are general Java options. You can use them with every java application.

EXAMPLES

mediathekview ~/television -auto
    instead of using the default configuration in ~/.mediathek3, MediathekView accesses a custom configuration in ~/television and the application is started without GUI. All subscriptions are managed and finally the application quits itself.

SEE ALSO
flvstreamer (1), java (1), mpv (1), vlc (1)